Kerbal Space Program - Bug #13069

Frequent crash (10%) when using menu to return to Space Center or Tracker
10/21/2016 04:45 AM - nghtbrk

Status: Closed Start date: 10/21/2016
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.3.0

Version: 1.2.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

This is crash #3 from this evening - | finally registered to comply with the message to send the crash dump. This install is stock after
switching steam libraries.

| don't know repro steps, but | frequently switch from craft to tracker to craft while managing many maneuvers. My instinct is that the
game crashes about every 10 times | switch back to the space center or tracking station; it's never (or very rarely) while loading a
craft.

I'm happy to upload more of my crashes if they would help and will count the craft-center toggles until the next crash.
Thanks!

History

#1 - 10/21/2016 05:34 AM - nghtbrk
- File crash.dmp added

- File error.log added

- File output_log.txt added

It took six cycles between craft and the center before there was another crash.

#2 - 06/25/2017 02:29 PM - bewing
- Status changed from New to Ready to Test
- Target version set to 1.3.0

- % Done changed from 0 to 80

Please retest. The code should be more stable now.

If you are still having the problem, what would be even more helpful is a savegame from just before the crash. So just make a savegame each time
you try to switch to the Tracking Station.

#3 - 07/25/2019 12:03 AM - chris.fulton
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#4 - 07/25/2019 12:03 AM - chris.fulton

- Status changed from Resolved to Closed

Files

error.log 69.6 KB 10/21/2016 nghtbrk
crash.dmp 221 KB 10/21/2016 nghtbrk
output_log.ixt 998 KB 10/21/2016 nghtbrk
20161020 System Info.txt 91.4 KB 10/21/2016 nghtbrk
error.log 69.6 KB 10/21/2016 nghtbrk
crash.dmp 205 KB 10/21/2016 nghtbrk
output_log.ixt 858 KB 10/21/2016 nghtbrk
